diff --git a/plugins/JetTester.cc b/plugins/JetTester.cc
index f0f45c9..cc79e8a 100644
--- a/plugins/JetTester.cc
+++ b/plugins/JetTester.cc
@@ -22,7 +22,7 @@
 
 // user include files
 #include "FWCore/Framework/interface/Frameworkfwd.h"
-#include "FWCore/Framework/interface/EDAnalyzer.h"
+#include "FWCore/Framework/interface/one/EDAnalyzer.h"
 
 #include "FWCore/Framework/interface/Event.h"
 #include "FWCore/Framework/interface/MakerMacros.h"
@@ -48,7 +48,7 @@
 // class declaration
 //
 
-class JetTester : public edm::EDAnalyzer {
+class JetTester : public edm::one::EDAnalyzer<> {
    public:
       explicit JetTester(const edm::ParameterSet&);
       ~JetTester();
diff --git a/python/jetToolbox_cff.py b/python/jetToolbox_cff.py
index f545dea..6c3e422 100644
--- a/python/jetToolbox_cff.py
+++ b/python/jetToolbox_cff.py
@@ -164,9 +164,9 @@ def jetToolbox( proc, jetType, jetSequence, outputFile,
                                             ]
 
     if not bTagDiscriminators:
-        if jetSize == 0.4: bTagDiscriminators = defaultBTagDiscriminators
-        elif jetSize == 0.8: bTagDiscriminators = defaultBoostedBTagDiscriminators
-        else:
+        #if jetSize == 0.4: bTagDiscriminators = defaultBTagDiscriminators
+        #elif jetSize == 0.8: bTagDiscriminators = defaultBoostedBTagDiscriminators
+        #else:
             bTagDiscriminators = None
             print('|---- jetToolBox: btag discriminators are recommended for AK4 and AK8 jets. For a different cone size, please especify the discriminators. Turning OFF all the default btag discriminators.')
     if not subjetBTagDiscriminators:
@@ -1305,7 +1305,7 @@ def jetToolbox( proc, jetType, jetSequence, outputFile,
 
     #################################################################################
     ###### Computing jetID
-    from PhysicsTools.NanoAOD.jets_cff import looseJetId, tightJetId, tightJetIdLepVeto
+    from PhysicsTools.NanoAOD.jetsAK4_CHS_cff import looseJetId, tightJetId, tightJetIdLepVeto
 
     mod["looseJetId"] = mod["PATJets"]+"looseJetId"
     _addProcessAndTask( proc, mod["looseJetId"], looseJetId.clone(src = cms.InputTag(mod["PATJets"]) ))
